We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 3 of 3
  1. #1
    Join Date
    Mar 2010
    Posts
    1

    Trouble with MAC download

    Hi guys,

    I realize this is probably mentioned somewhere but I am not necessarily very tech savvy and therefore do not understand most of the stuff. But, I recently found out there is a MAC download which made me stoked! I downloaded but then when I try opening the launcher, I get a message saying:

    "LotroLauncher cannot be opened because of a problem. Check with the developer to make sure LotroLauncher works with this version of Mac Os X. You may need to reinstall the application. Be sure to install any available updates for the application and Mac Os X."

    I currently have Mac OS X Version 10.6.8 is there something I need to do? If anyone has any advice on how to get this working I would really appreciate it! I am dying to play some LOTRO again. Thanks!

  2. #2
    Join Date
    Sep 2010
    Posts
    134
    Does not work with Snow Leopard.
    [charsig=http://lotrosigs.level3.turbine.com/0520a00000024bd9d/01005/signature.png]undefined[/charsig] ~Mac Player~

  3. #3
    Join Date
    Sep 2012
    Location
    France
    Posts
    684
    Quote Originally Posted by Aragaleb View Post
    Hi guys,

    I realize this is probably mentioned somewhere but I am not necessarily very tech savvy and therefore do not understand most of the stuff. But, I recently found out there is a MAC download which made me stoked! I downloaded but then when I try opening the launcher, I get a message saying:

    "LotroLauncher cannot be opened because of a problem. Check with the developer to make sure LotroLauncher works with this version of Mac Os X. You may need to reinstall the application. Be sure to install any available updates for the application and Mac Os X."

    I currently have Mac OS X Version 10.6.8 is there something I need to do? If anyone has any advice on how to get this working I would really appreciate it! I am dying to play some LOTRO again. Thanks!
    As Brulac says you need OS X 10.7 Lion as a minimum. Turbine do not have any System Requirements for the beta Mac client posted but the new download on Steam does;

    Mac System Requirements

    Minimum

    OS: 10.7.5
    Processor: 2.0 GHz Intel Core i5
    Memory: 2 GB
    Hard Disk Space: 70 GB of available space
    Video Card: Intel HD Graphics 3000 or better
    Sound: Integrated Sound

    Recommended

    OS: 10.7.5
    Processor: 2.0 GHz Intel Core i7
    Memory: 4 GB
    Hard Disk Space: 70 GB of available space
    Video Card: nVidia GeForce GT 650M or better
    Sound: Integrated Sound
    Ignore the 70GB HD space which is just Steam inaccuracy (well, they did include the PC version of the client with the Mac download ^^) I would say 30GB is more realistic. The installed and patched LOTRO client is currently (Update 8.0.1) 21.23GB.

    You can upgrade direct to Mountain Lion from Snow Leopard. Check the Apple page here.
    Gaspard Strongpole - Hunter on Eldar : Mac Player - iMac/27-inch, Late 2013/ 3.4 GHz Intel Core i5/ 8 GB 1600 MHz DDR3/ NVIDIA GeForce GTX 780M 4096 MB/OS X 10.10.5

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload